it-swarm.com.de

Ubuntu Apache: "Modul php7 existiert nicht"

Ich versuche, PHP 5.5.9 auf PHP 7 auf meinem DigitalOcean Ubuntu 14.04-Computer zu aktualisieren.

Ich habe viele Tutorials und Artikel gelesen, aber jeder von ihnen hat etwas verpasst. Zum Beispiel, irgendwo heißt es, du musst Sudo a2dismod php5 dann Sudo a2enmod php7. Das Problem ist, dass ich immer diese Nachricht bekomme

$ Sudo a2enmod php7
ERROR: Module php7 does not exist!

Kennt jemand wie man dieses Problem bitte löst?

Danke im Voraus.

28
Alexxali

Schließlich fand ich dank des Kommentars von Ed de Almeida die Lösung.

Ich musste ein zusätzliches Paket installieren:

$ Sudo apt-get install libapache2-mod-php7.0

Jetzt konnte ich Sudo a2enmod php7.0.

85
Alexxali